---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK8_x86-64_mac_Personal/build/macosx-x86_64-normal-server-release/jdk/lib/libAppleScriptEngine.dylib'
relocations:
  - { offsetInCU: 0x27, offset: 0x27, size: 0x8, addend: 0x0, symName: '-[NSObject(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0x0, symBinAddr: 0x3DD8, symSize: 0xE1 }
  - { offsetInCU: 0x41, offset: 0x41, size: 0x8, addend: 0x0, symName: _handlerDict, symObjAddr: 0xF328, symBinAddr: 0xD128, symSize: 0x0 }
  - { offsetInCU: 0x3DC, offset: 0x3DC, size: 0x8, addend: 0x0, symName: '-[NSObject(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0x0, symBinAddr: 0x3DD8, symSize: 0xE1 }
  - { offsetInCU: 0x4D2, offset: 0x4D2, size: 0x8, addend: 0x0, symName: '+[NSArray(JavaAppleScriptEngineAdditions) arrayWithAEDesc:]', symObjAddr: 0xE1, symBinAddr: 0x3EB9, symSize: 0xAB }
  - { offsetInCU: 0x5CD, offset: 0x5CD, size: 0x8, addend: 0x0, symName: '-[NSDictionary(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0x18C, symBinAddr: 0x3F64, symSize: 0x1C4 }
  - { offsetInCU: 0x7B2, offset: 0x7B2, size: 0x8, addend: 0x0, symName: '+[NSDictionary(JavaAppleScriptEngineAdditions) dictionaryWithAEDesc:]', symObjAddr: 0x350, symBinAddr: 0x4128, symSize: 0x1BB }
  - { offsetInCU: 0xA2B, offset: 0xA2B, size: 0x8, addend: 0x0, symName: '-[NSString(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0x50B, symBinAddr: 0x42E3, symSize: 0x1C }
  - { offsetInCU: 0xA73, offset: 0xA73, size: 0x8, addend: 0x0, symName: '+[NSString(JavaAppleScriptEngineAdditions) stringWithAEDesc:]', symObjAddr: 0x527, symBinAddr: 0x42FF, symSize: 0x15 }
  - { offsetInCU: 0xAC5, offset: 0xAC5, size: 0x8, addend: 0x0, symName: '+[NSString(JavaAppleScriptEngineAdditions) versionWithAEDesc:]', symObjAddr: 0x53C, symBinAddr: 0x4314, symSize: 0x91 }
  - { offsetInCU: 0xC01, offset: 0xC01, size: 0x8, addend: 0x0, symName: '-[NSNull(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0x5CD, symBinAddr: 0x43A5, symSize: 0x19 }
  - { offsetInCU: 0xC3D, offset: 0xC3D, size: 0x8, addend: 0x0, symName: '+[NSNull(JavaAppleScriptEngineAdditions) nullWithAEDesc:]', symObjAddr: 0x5E6, symBinAddr: 0x43BE, symSize: 0x19 }
  - { offsetInCU: 0xC85, offset: 0xC85, size: 0x8, addend: 0x0, symName: '-[NSDate(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0x5FF, symBinAddr: 0x43D7, symSize: 0x35 }
  - { offsetInCU: 0xD63, offset: 0xD63, size: 0x8, addend: 0x0, symName: '+[NSDate(JavaAppleScriptEngineAdditions) dateWithAEDesc:]', symObjAddr: 0x634, symBinAddr: 0x440C, symSize: 0x3F }
  - { offsetInCU: 0xE4B, offset: 0xE4B, size: 0x8, addend: 0x0, symName: '-[NSNumber(JavaAppleScriptEngineAdditions) jaseDescriptorValueWithFloatP:byteCount:]', symObjAddr: 0x673, symBinAddr: 0x444B, symSize: 0x93 }
  - { offsetInCU: 0xEE8, offset: 0xEE8, size: 0x8, addend: 0x0, symName: '-[NSNumber(JavaAppleScriptEngineAdditions) jaseDescriptorValueWithSignedIntP:byteCount:]', symObjAddr: 0x706, symBinAddr: 0x44DE, symSize: 0x99 }
  - { offsetInCU: 0xFA9, offset: 0xFA9, size: 0x8, addend: 0x0, symName: '-[NSNumber(JavaAppleScriptEngineAdditions) jaseDescriptorValueWithUnsignedIntP:byteCount:]', symObjAddr: 0x79F, symBinAddr: 0x4577, symSize: 0x9A }
  - { offsetInCU: 0x1090, offset: 0x1090, size: 0x8, addend: 0x0, symName: '-[NSNumber(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0x839, symBinAddr: 0x4611, symSize: 0x2EF }
  - { offsetInCU: 0x1455, offset: 0x1455, size: 0x8, addend: 0x0, symName: '+[NSNumber(JavaAppleScriptEngineAdditions) numberWithAEDesc:]', symObjAddr: 0xB28, symBinAddr: 0x4900, symSize: 0x253 }
  - { offsetInCU: 0x1646, offset: 0x1646, size: 0x8, addend: 0x0, symName: '+[NSNumber(JavaAppleScriptEngineAdditions) jaseNumberWithSignedIntP:byteCount:]', symObjAddr: 0xD7B, symBinAddr: 0x4B53, symSize: 0xC1 }
  - { offsetInCU: 0x16B8, offset: 0x16B8, size: 0x8, addend: 0x0, symName: '+[NSNumber(JavaAppleScriptEngineAdditions) jaseNumberWithUnsignedIntP:byteCount:]', symObjAddr: 0xE3C, symBinAddr: 0x4C14, symSize: 0xC0 }
  - { offsetInCU: 0x172A, offset: 0x172A, size: 0x8, addend: 0x0, symName: '+[NSNumber(JavaAppleScriptEngineAdditions) jaseNumberWithFloatP:byteCount:]', symObjAddr: 0xEFC, symBinAddr: 0x4CD4, symSize: 0x62 }
  - { offsetInCU: 0x1791, offset: 0x1791, size: 0x8, addend: 0x0, symName: '-[NSValue(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0xF5E, symBinAddr: 0x4D36, symSize: 0x29A }
  - { offsetInCU: 0x1A43, offset: 0x1A43, size: 0x8, addend: 0x0, symName: '-[NSImage(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0x11F8, symBinAddr: 0x4FD0, symSize: 0x37 }
  - { offsetInCU: 0x1AB1, offset: 0x1AB1, size: 0x8, addend: 0x0, symName: '+[NSImage(JavaAppleScriptEngineAdditions) imageWithAEDesc:]', symObjAddr: 0x122F, symBinAddr: 0x5007, symSize: 0x9B }
  - { offsetInCU: 0x1B9F, offset: 0x1B9F, size: 0x8, addend: 0x0, symName: '-[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) objCObjectValue]', symObjAddr: 0x12CA, symBinAddr: 0x50A2, symSize: 0x11A }
  - { offsetInCU: 0x1CDA, offset: 0x1CDA, size: 0x8, addend: 0x0, symName: '+[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) registerConversionHandler:selector:forDescriptorTypes:]', symObjAddr: 0x13E4, symBinAddr: 0x51BC, symSize: 0x18F }
  - { offsetInCU: 0x1E14, offset: 0x1E14, size: 0x8, addend: 0x0, symName: '-[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) aeDescriptorValue]', symObjAddr: 0x1573, symBinAddr: 0x534B, symSize: 0x9 }
  - { offsetInCU: 0x1E47, offset: 0x1E47, size: 0x8, addend: 0x0, symName: '+[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) descriptorWithInt16:]', symObjAddr: 0x157C, symBinAddr: 0x5354, symSize: 0x34 }
  - { offsetInCU: 0x1EA9, offset: 0x1EA9, size: 0x8, addend: 0x0, symName: '-[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) int16Value]', symObjAddr: 0x15B0, symBinAddr: 0x5388, symSize: 0x4E }
  - { offsetInCU: 0x1F28, offset: 0x1F28, size: 0x8, addend: 0x0, symName: '+[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) descriptorWithUnsignedInt32:]', symObjAddr: 0x15FE, symBinAddr: 0x53D6, symSize: 0x33 }
  - { offsetInCU: 0x1F8A, offset: 0x1F8A, size: 0x8, addend: 0x0, symName: '-[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) unsignedInt32Value]', symObjAddr: 0x1631, symBinAddr: 0x5409, symSize: 0x4D }
  - { offsetInCU: 0x2009, offset: 0x2009, size: 0x8, addend: 0x0, symName: '+[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) descriptorWithFloat32:]', symObjAddr: 0x167E, symBinAddr: 0x5456, symSize: 0x35 }
  - { offsetInCU: 0x206B, offset: 0x206B, size: 0x8, addend: 0x0, symName: '-[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) float32Value]', symObjAddr: 0x16B3, symBinAddr: 0x548B, symSize: 0x4F }
  - { offsetInCU: 0x20EA, offset: 0x20EA, size: 0x8, addend: 0x0, symName: '+[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) descriptorWithFloat64:]', symObjAddr: 0x1702, symBinAddr: 0x54DA, symSize: 0x35 }
  - { offsetInCU: 0x214C, offset: 0x214C, size: 0x8, addend: 0x0, symName: '-[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) float64Value]', symObjAddr: 0x1737, symBinAddr: 0x550F, symSize: 0x4F }
  - { offsetInCU: 0x21CB, offset: 0x21CB, size: 0x8, addend: 0x0, symName: '+[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) descriptorWithLongDateTime:]', symObjAddr: 0x1786, symBinAddr: 0x555E, symSize: 0x34 }
  - { offsetInCU: 0x222D, offset: 0x222D, size: 0x8, addend: 0x0, symName: '-[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) longDateTimeValue]', symObjAddr: 0x17BA, symBinAddr: 0x5592, symSize: 0x4E }
  - { offsetInCU: 0x22AC, offset: 0x22AC, size: 0x8, addend: 0x0, symName: '+[NSAppleEventDescriptor(JavaAppleScriptEngineAdditions) jaseSetUpHandlerDict]', symObjAddr: 0x1808, symBinAddr: 0x55E0, symSize: 0x230 }
  - { offsetInCU: 0x27, offset: 0x327F, size: 0x8, addend: 0x0, symName: _Java_apple_applescript_AppleScriptEngineFactory_initNative, symObjAddr: 0x0, symBinAddr: 0x5810, symSize: 0x6 }
  - { offsetInCU: 0xA3, offset: 0x32FB, size: 0x8, addend: 0x0, symName: _Java_apple_applescript_AppleScriptEngineFactory_initNative, symObjAddr: 0x0, symBinAddr: 0x5810, symSize: 0x6 }
  - { offsetInCU: 0xD3, offset: 0x332B, size: 0x8, addend: 0x0, symName: _Java_apple_applescript_AppleScriptEngine_initNative, symObjAddr: 0x6, symBinAddr: 0x5816, symSize: 0x6 }
  - { offsetInCU: 0x103, offset: 0x335B, size: 0x8, addend: 0x0, symName: _Java_apple_applescript_AppleScriptEngine_createContextFrom, symObjAddr: 0xC, symBinAddr: 0x581C, symSize: 0xED }
  - { offsetInCU: 0x236, offset: 0x348E, size: 0x8, addend: 0x0, symName: _Java_apple_applescript_AppleScriptEngine_createObjectFrom, symObjAddr: 0xF9, symBinAddr: 0x5909, symSize: 0xDD }
  - { offsetInCU: 0x314, offset: 0x356C, size: 0x8, addend: 0x0, symName: _Java_apple_applescript_AppleScriptEngine_disposeContext, symObjAddr: 0x1D6, symBinAddr: 0x59E6, symSize: 0xB1 }
  - { offsetInCU: 0x3F3, offset: 0x364B, size: 0x8, addend: 0x0, symName: _Java_apple_applescript_AppleScriptEngine_evalScript, symObjAddr: 0x287, symBinAddr: 0x5A97, symSize: 0x135 }
  - { offsetInCU: 0x2D93, offset: 0x5FEB, size: 0x8, addend: 0x0, symName: _Java_apple_applescript_AppleScriptEngine_evalScriptFromURL, symObjAddr: 0x3BC, symBinAddr: 0x5BCC, symSize: 0x135 }
  - { offsetInCU: 0x27, offset: 0x62D3, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext init:context:]', symObjAddr: 0x0, symBinAddr: 0x5D01, symSize: 0x93 }
  - { offsetInCU: 0x1D6, offset: 0x6482, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext init:context:]', symObjAddr: 0x0, symBinAddr: 0x5D01, symSize: 0x93 }
  - { offsetInCU: 0x286, offset: 0x6532, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext initWithSource:context:]', symObjAddr: 0x93, symBinAddr: 0x5D94, symSize: 0x17 }
  - { offsetInCU: 0x2F9, offset: 0x65A5, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext initWithFile:context:]', symObjAddr: 0xAA, symBinAddr: 0x5DAB, symSize: 0x17 }
  - { offsetInCU: 0x36C, offset: 0x6618, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext dealloc]', symObjAddr: 0xC1, symBinAddr: 0x5DC2, symSize: 0x75 }
  - { offsetInCU: 0x3F9, offset: 0x66A5, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext scriptFromURL]', symObjAddr: 0x136, symBinAddr: 0x5E37, symSize: 0x8E }
  - { offsetInCU: 0x48F, offset: 0x673B, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext scriptFromSource]', symObjAddr: 0x1C4, symBinAddr: 0x5EC5, symSize: 0x37 }
  - { offsetInCU: 0x4CE, offset: 0x677A, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext functionInvocationEvent]', symObjAddr: 0x1FB, symBinAddr: 0x5EFC, symSize: 0x18A }
  - { offsetInCU: 0x67F, offset: 0x692B, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext invoke]', symObjAddr: 0x385, symBinAddr: 0x6086, symSize: 0xD6 }
  - { offsetInCU: 0x781, offset: 0x6A2D, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext invokeWithEnv:]', symObjAddr: 0x45B, symBinAddr: 0x615C, symSize: 0x114 }
  - { offsetInCU: 0x8BD, offset: 0x6B69, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext source]', symObjAddr: 0x56F, symBinAddr: 0x6270, symSize: 0xA }
  - { offsetInCU: 0x8EF, offset: 0x6B9B, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext setSource:]', symObjAddr: 0x579, symBinAddr: 0x627A, symSize: 0xF }
  - { offsetInCU: 0x92A, offset: 0x6BD6, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext context]', symObjAddr: 0x588, symBinAddr: 0x6289, symSize: 0xA }
  - { offsetInCU: 0x95C, offset: 0x6C08, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext setContext:]', symObjAddr: 0x592, symBinAddr: 0x6293, symSize: 0xF }
  - { offsetInCU: 0x997, offset: 0x6C43, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext error]', symObjAddr: 0x5A1, symBinAddr: 0x62A2, symSize: 0xA }
  - { offsetInCU: 0x9C9, offset: 0x6C75, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext setError:]', symObjAddr: 0x5AB, symBinAddr: 0x62AC, symSize: 0xF }
  - { offsetInCU: 0xA04, offset: 0x6CB0, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext returnValue]', symObjAddr: 0x5BA, symBinAddr: 0x62BB, symSize: 0xA }
  - { offsetInCU: 0xA36, offset: 0x6CE2, size: 0x8, addend: 0x0, symName: '-[AppleScriptExecutionContext setReturnValue:]', symObjAddr: 0x5C4, symBinAddr: 0x62C5, symSize: 0xF }
  - { offsetInCU: 0x27, offset: 0x9A73, size: 0x8, addend: 0x0, symName: '+[JavaAppleScriptEngineCoercion coercer]', symObjAddr: 0x0, symBinAddr: 0x62D4, symSize: 0x106 }
  - { offsetInCU: 0x40, offset: 0x9A8C, size: 0x8, addend: 0x0, symName: _appleScriptCoercer, symObjAddr: 0x9FE8, symBinAddr: 0xD130, symSize: 0x0 }
  - { offsetInCU: 0x1AF, offset: 0x9BFB, size: 0x8, addend: 0x0, symName: __jm_CImage_getCreator, symObjAddr: 0xC68, symBinAddr: 0xD078, symSize: 0x0 }
  - { offsetInCU: 0x1C4, offset: 0x9C10, size: 0x8, addend: 0x0, symName: __jm_CImage_Generator_createImageFromPtr, symObjAddr: 0xC90, symBinAddr: 0xD0A0, symSize: 0x0 }
  - { offsetInCU: 0x1D9, offset: 0x9C25, size: 0x8, addend: 0x0, symName: _jc_CImage_Generator, symObjAddr: 0xCB8, symBinAddr: 0xD0C8, symSize: 0x0 }
  - { offsetInCU: 0x1EE, offset: 0x9C3A, size: 0x8, addend: 0x0, symName: _jc_CImage, symObjAddr: 0xC58, symBinAddr: 0xD068, symSize: 0x0 }
  - { offsetInCU: 0x203, offset: 0x9C4F, size: 0x8, addend: 0x0, symName: __jm_CImage_Generator_createImageFromImg, symObjAddr: 0xCC8, symBinAddr: 0xD0D8, symSize: 0x0 }
  - { offsetInCU: 0x218, offset: 0x9C64, size: 0x8, addend: 0x0, symName: __jm_CImage_getNSImage, symObjAddr: 0xCF0, symBinAddr: 0xD100, symSize: 0x0 }
  - { offsetInCU: 0x1182, offset: 0xABCE, size: 0x8, addend: 0x0, symName: '+[JavaAppleScriptEngineCoercion coercer]', symObjAddr: 0x0, symBinAddr: 0x62D4, symSize: 0x106 }
  - { offsetInCU: 0x124D, offset: 0xAC99, size: 0x8, addend: 0x0, symName: '-[JavaAppleScriptBaseConverter coerceNSObject:withEnv:usingCoercer:]', symObjAddr: 0x106, symBinAddr: 0x63DA, symSize: 0x2A }
  - { offsetInCU: 0x3A4B, offset: 0xD497, size: 0x8, addend: 0x0, symName: '-[JavaAppleScriptBaseConverter coerceJavaObject:withEnv:usingCoercer:]', symObjAddr: 0x130, symBinAddr: 0x6404, symSize: 0x10 }
  - { offsetInCU: 0x3AD2, offset: 0xD51E, size: 0x8, addend: 0x0, symName: '-[JavaAppleScriptImageConverter coerceNSObject:withEnv:usingCoercer:]', symObjAddr: 0x140, symBinAddr: 0x6414, symSize: 0x41 }
  - { offsetInCU: 0x3BE9, offset: 0xD635, size: 0x8, addend: 0x0, symName: '-[JavaAppleScriptImageConverter coerceJavaObject:withEnv:usingCoercer:]', symObjAddr: 0x181, symBinAddr: 0x6455, symSize: 0x77 }
  - { offsetInCU: 0x3D32, offset: 0xD77E, size: 0x8, addend: 0x0, symName: '-[JavaAppleScriptVersionConverter coerceNSObject:withEnv:usingCoercer:]', symObjAddr: 0x1F8, symBinAddr: 0x64CC, symSize: 0x4B }
  - { offsetInCU: 0x3DE2, offset: 0xD82E, size: 0x8, addend: 0x0, symName: '-[JavaAppleScriptVersionConverter coerceJavaObject:withEnv:usingCoercer:]', symObjAddr: 0x243, symBinAddr: 0x6517, symSize: 0x8 }
  - { offsetInCU: 0x3E33, offset: 0xD87F, size: 0x8, addend: 0x0, symName: '-[JavaAppleScriptNullConverter coerceNSObject:withEnv:usingCoercer:]', symObjAddr: 0x24B, symBinAddr: 0x651F, symSize: 0x8 }
  - { offsetInCU: 0x3E84, offset: 0xD8D0, size: 0x8, addend: 0x0, symName: '-[JavaAppleScriptNullConverter coerceJavaObject:withEnv:usingCoercer:]', symObjAddr: 0x253, symBinAddr: 0x6527, symSize: 0x8 }
...
